Bug 393341 - why wxWidgets 2.4 compatibility is enabled?
why wxWidgets 2.4 compatibility is enabled?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 17:30 EST by Nerijus Baliūnas
Modified: 2008-07-31 10:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-31 10:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2007-11-20 17:30:30 EST
Why --enable-compat24 is used? Does any depending application need it?

BTW, if you decide not to use it, you'll need to recompile all applications,
otherwise you'll get:

$ codeblocks 
Fatal Error: Mismatch between the program and library build versions detected.
The library used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx
containers,compatible with 2.6),
and your program used 2.8 (no debug,Unicode,compiler with C++ ABI 1002,wx
containers,compatible with 2.4,compatible with 2.6).
Aborted
Comment 1 Matthew Miller 2008-02-20 16:10:29 EST
Is there a downside of enabling it? I can turn it off, but it seemed good to have.
Comment 2 Nerijus Baliūnas 2008-02-20 16:31:18 EST
wx by default enables compatibility with one past version only (2.6 in this
case),  and imho it's enough. When applications are ported to a higher wx
version, they usually are made to work with wx compiled with default settings
(by just running ./configure), so enabling more compatibility is useless and
only makes library bigger (unless there are apps which do not work without
--enable-compat24, but I don't know any). Anyway, it's a minor issue.
Comment 3 Matthew Miller 2008-02-20 16:37:54 EST
I think retaining compatibility for two versions is valuable enough that I'm
inclined to keep it on. How much space/memory is saved by not enabling it?

Note You need to log in before you can comment on or make changes to this bug.